Subject: Re: Last Call for Comments: Proposed work-around to the Pre-5378 Problem

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 06 Feb 2009 12:46:40 +0100

One comment, below:

On 2009-02-06 06:28 Ed Juskevicius said the following:
> The IETF Trustees met via telechat on February 5th to decide on some
> proposed revisions to the "Legal Provisions Relating to IETF Documents"
> policy, based on comments received from the community in the last two
> weeks.  Please recall this work is being done to provide a work-around for
> authors having the 'pre-5378 problem'.
> 
> The telechat was productive.  The Trustees reached consensus to do the
> following:
> 
> 1)  Clarify the copyright text at the beginning of the BSD license in
> Section 4.1 to read as follows:
> 
> Copyright (c) <insert year> IETF Trust and the persons identified as its
> authors.  All rights reserved.

This doesn't work for me.  I read 'it' in the sentence above as referring
back to "IETF Trust" -- there's nothing else it can refer back to when
the code has been lifted out of the enclosing document, and complemented
by a license file holding the proposed license.  I propose instead:

    Copyright (c) <insert year> IETF Trust and the persons identified as
    authors of the code.  All rights reserved.

Best,

	Henrik

---

From: Thomas Narten <[email-masked]>
Date: Fri, 06 Feb 2009 10:30:32 -0500

A couple of issues with the motivating text:

> Derivative Works and Publication Limitations.  If a Contributor
> desires to limit the right to make modifications and derivative
> works of an IETF Contribution, or to limit its publication, one of
> the following notices must be included.

For cases i) (publication as RFC only) and ii) (publication only as
ID), the above is fine, because "the Contributor" refers to the author
of the document.

But for case iii), there are two "contributors" at issue. The one
submitting the document, and possible pre-5378 contributors who's text
has been included in the document.

For case iii), it should remain clear that the document
author/contributor is agreeing to the full 5378 coverage for his/her
contribution (made subequent to 5378), but that they take no position
regarding the pre-5378 text that may have been incorporated.

Thus:

> iii. If a Contribution includes Pre-5378 Material and the
>  Contributor does not wish to allow modifications of such Pre-5378
>  Material to be made outside the IETF Standards Process:

"does not wish" is not right. The issue is that the current author of
the document is unable (for whatever reason) to make assertions about
the pre-5378 material.

The actual text that goes into the contribution under this condition
seems OK, but the motivating text needs to be fixed to make the intent
clear.

I'd suggest:

Old:

> Derivative Works and Publication Limitations.  If a Contributor
> desires to limit the right to make modifications and derivative
> works of an IETF Contribution, or to limit its publication, one of
> the following notices must be included.

New

	c. Derivative Works and Publication Limitations.  If a
	Contributor desires to limit its publication, or the
	Contribution includes pre-5378 Material that limits the right
	to make modifications and derivative works of an IETF
	Contribution, one of the following notices must be included.
	The notices set forth in clauses (i) and (ii) below may not be
	used with any standards-track document, nor with most working
	group documents.

and

OLD:

> iii. If a Contribution includes Pre-5378 Material and the
>  Contributor does not wish to allow modifications of such Pre-5378
>  Material to be made outside the IETF Standards Process:

NEW:

    iii. If a Contribution includes Pre-5378 Material and the
    Contributor is unable (for whatever reason) to obtain the
    necessary permissions to allow modifications of such Pre-5378
    Material to be made outside the IETF Standards Process:

Thomas

---

From: Ed Juskevicius <[email-masked]>
Date: Fri, 6 Feb 2009 00:28:11 -0500

Copyright (c) <insert year> IETF Trust and the persons identified as its
authors.  All rights reserved.
2)  Replace the word "and" by the word "or" in one place so that the last
sentence of Section 6.c.iii becomes:

Without obtaining an adequate license from the person(s) controlling the
copyright in such materials, this document may not be modified outside the
IETF Standards Process, and derivative works of it may not be created
outside the IETF Standards Process, except to format it for publication as
an RFC or to translate it into languages other than English.

3)  Fix some nits with respect to the inappropriate use of square brackets
'[' and ']' in two places.

The IETF Trust website has been updated with a new version of the draft
"Legal Provisions Relating to IETF Documents" including the changes
described in this message.  Please look for the documents dated 2009-02-05
at:
http://trustee.ietf.org/policyandprocedures.html .

If you have any final comments on this, please post them before the end of
February 7th.  This is the last call for comments.

Regards,

Ed Juskevicius, on behalf of the IETF Trustees
[email-masked]

---

From: Ray Pelletier <[email-masked]>
Date: Fri, 6 Feb 2009 13:32:05 -0500

> regarding the pre-5378 text that may have been incorporated.

Agreed.  Good point.
>    Material to be made outside the IETF Standards Process:

The language suggests a tasking to obtain 5378 licenses from  
contributors
of pre-5378 material.  I think that is something we want to avoid.  I  
think the following
language obtains the same results but with less stress on the  
participants.

iii. If a Contribution includes Pre-5378 Material for which the
    Contributor of the pre-5378 material has not or may not have  
granted the
    necessary permissions to the IETF Trust to allow modifications of  
such Pre-5378
    Material to be made outside the IETF Standards Process:

Ray

>
>
> Thomas
> _______________________________________________
> Trustees mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trustees

---

From: Thomas Narten <[email-masked]>
Date: Fri, 06 Feb 2009 14:02:08 -0500

Ray,

> contributors of pre-5378 material.  I think that is something we
> want to avoid.  I think the following language obtains the same
> results but with less stress on the participants.

I agree, but that might also be seen to be getting closer to
overruling what RFC 5378 says, something that I understand to be out
of scope.

>     granted the necessary permissions to the IETF Trust to allow
>     modifications of such Pre-5378 Material to be made outside the
>     IETF Standards Process:

IMO, this is improved wording I support it.

Thanks,
Thomas

---

From: Ray Pelletier <[email-masked]>
Date: Fri, 6 Feb 2009 14:49:27 -0500

>    authors of the code.  All rights reserved.

This works for me.

Ray

---

From: Sandra Murphy <[email-masked]>
Date: Fri, 6 Feb 2009 14:57:29 -0500 (Eastern Standard Time)

>>   authors of the code.  All rights reserved.

code?

--Sandy

---

From: Marshall Eubanks <[email-masked]>
Date: Fri, 6 Feb 2009 15:20:48 -0500

>>>  authors of the code.  All rights reserved.

This is Section 4.1, which is the BSD "License to Code Components. "

Regards
Marshall

---

From: Sandra Murphy <[email-masked]>
Date: Fri, 6 Feb 2009 15:42:25 -0500 (Eastern Standard Time)

> This is Section 4.1, which is the BSD "License to Code Components. "

Ah, thank you.  Yes, I missed that.

--Sandy

---

From: Ed Juskevicius <[email-masked]>
Date: Thu, 12 Feb 2009 19:53:04 -0500

I am pleased to announce that the IETF Trustees have just finished work on a
revision to our "Legal Provisions Relating to IETF Documents" policy.  The
revision includes optional new legend text in Section 6.c.iii of the
policy to serve as a work-around for people experiencing the "pre-5378
problem."

Please note the newly approved policy is dated 2009-02-12.  Please also note
that the Effective Date of this revised policy has been set to 2009-02-15.
The old policy (effective from November 10, 2008) remains in force until
00h00 UTC on February 15th.

The approved text is available now on IETF Trust website at
 http://trustee.ietf.org/policyandprocedures.html

Please look for the document dated 2009-02-12, just below the heading
labeled "DRAFT Policy and Procedures Being Developed."

On or shortly after February 15th, the Trust website will be updated so as
to archive all of the recent draft versions of the new policy, and to make
it easier to navigagte to the newly approved policy.

Please review the new policy so you are aware of the latest copyright
statements and other boilerplate legend text that will be required on
all contributions to the IETF starting on February 15, 2009.

Regards, and Thanks in advance,

---

From: Ray Pelletier <[email-masked]>
Date: Fri, 20 Feb 2009 10:57:46 -0500

On Feb 13, 2009, at 1:54 PM, Wes Beebee (wbeebee) wrote:

> When will http://xml.resource.org/ and xml2rfc be updated to include  
> this?

It is in work.  A precise date is uncertain today, but is anticipated  
early next week.
>
> Are there any changes we need to make to our input xml files?

Those instructions will be provided with the update.

Ray
Trustee
IAD

>
> - Wes
>
> From: [email-masked] [mailto:[email-masked]] On Behalf  
> Of Ed Juskevicius
> Sent: Thursday, February 12, 2009 7:53 PM
> To: [email-masked]; [email-masked]; [email-masked]; [email-masked] 
> ; [email-masked]; [email-masked]
> Cc: Trustees; Contreras,Jorge
> Subject: Re: Last Call for Comments: Proposed work-around to the  
> Pre-5378 Problem
>
> I am pleased to announce that the IETF Trustees have just finished  
> work on a revision to our "Legal Provisions Relating to IETF  
> Documents" policy.  The revision includes optional new legend text  
> in Section 6.c.iii of the policy to serve as a work-around for  
> people experiencing the "pre-5378 problem."
>
> Please note the newly approved policy is dated 2009-02-12.  Please  
> also note that the Effective Date of this revised policy has been  
> set to 2009-02-15.  The old policy (effective from November 10,  
> 2008) remains in force until 00h00 UTC on February 15th.
>
> Please look for the document dated 2009-02-12, just below the  
> heading labeled "DRAFT Policy and Procedures Being Developed."
>
> On or shortly after February 15th, the Trust website will be updated  
> so as to archive all of the recent draft versions of the new policy,  
> and to make it easier to navigagte to the newly approved policy.
>
> Please review the new policy so you are aware of the latest  
> copyright statements and other boilerplate legend text that will be  
> required on all contributions to the IETF starting on February 15,  
> 2009.
>

---

From: Ray Pelletier <[email-masked]>
Date: Fri, 20 Feb 2009 15:46:26 -0500

On Feb 20, 2009, at 3:20 PM, John C Klensin wrote:

>
>
> --On Friday, February 20, 2009 10:57 -0500 Ray Pelletier
> <[email-masked]> wrote:
>
>>
>>> When will http://xml.resource.org/ and xml2rfc be updated to
>>> include   this?
>>
>> It is in work.  A precise date is uncertain today, but is
>> anticipated early next week.
>>>
> The problems that we would have if the decisions needed to build
> tools were not available by the 15th or some earlier date were
> discussed on the list, I believe in late January.   There were
> some rather clear commitments that we would not have this
> problem, i.e., that the ducks would be sufficiently lined up
> that changes could be made and people could post documents with
> the workaround not later than the 16th, if not earlier.
>
> So the announcement was made and, despite those commitments, the
> ducks obviously were not lined up, the tools were not ready, and
> we still can't, in practice, post drafts that need the
> workaround text.

So, the Trustees went through a process of community review of the  
changes to the TLP
posted on 6 January that resulted in some good suggestions that led to  
iterations and
posting of changes on 22 Jan, 5 Feb, 9 Feb and finally 12 Feb.  They  
even caught where
a change was unintentionally made.

On 11 Feb I notified the 5 volunteers maintaining the tools and  
templates that the Trustees
were voting on what I expected to be the last set of changes; advised  
them of the changes and asked if they
could have the changes completed in a few days, e.g, 14 Feb.    I  
asked for estimated delivery dates.
Not all were able to get the changes made.  And as I said above I am  
uncertain as to the
final tools being completed, but anticipated next week.

>  Even if we could cut and paste the text in, we
> have no statements about where it goes or decisions/opinions
> from Counsel as to whether it can be dropped into a random place
> in the document or needs to be next to the front-matter
> copyright statements.

Section 6b of the Policy says: The following text must be included on  
the first page of each IETF Document,
so I am not sure what the controversy is about.

>
>
> And, today, you respond, not to that January discussion or the
> associated commitments, but to a note posted last Friday... one
> that it took you a week to get around to responding to when the
> commitments indicated that we've have answers contemporary with
> the announcement of the new text.

It has taken from last Friday to the other day to ascertain where the  
volunteers
stood in the process of updating those tools and templates.

Ray

>
>
> For all of the reasons cited in the January discussion, this has
> gone far enough.  Independent of promises about what might get
> done next week, I want to know --and I think the community is
> entitled to know -- who is accountable.
>
>
>     john
>
>
>
>
>
>

---

From: "Ed Juskevicius" <[email-masked]>
Date: Fri, 20 Feb 2009 17:22:03 -0500

John, this is to respond to one of your points, below:

> As far as the "where does it go" question, the answer may be
> clear to you, but it apparently was not clear to the Trustee
> Chair (and poster of the announcement) who, according to
> comments on the XML2RFC list, apparently indicated that it
> would be ok to put it at the end.  

For the record, I received a question on January 23rd about whether it might
be better to move all of the copyright and associated boilerplate text
required on Contributions from the first page, to the back of every
document.  The basis of the question was that the length of the legal
statements needed on documents was growing, and it might not all fit neatly
at the front.

I replied on the same day.  I thanked the sender for the question, and took
an action to discuss this with the Trustees.  Please note that I did not
post this on the XML2RFC list, so you may be the victim of "here-say" in
this case.  Many things have transpired since January 23rd.  One is that I
failed to explicitly close the loop with the person who asked me if the
legal text might be moved to back matter.

We have had four revisions to the "Legal Provisions" policy since the first
call for community comments was posted on January 6th.  Two versions of the
draft were posted before January 23rd, two more were posted afterwards, and
then the last (fifth) revision is the one that was approved on February
12th, and made Effective as of February 15th.  The guidance with respect to
where legal text in Contributions is to appear was consistent in all of
these drafts.  Legal text is to appear in the front matter of Contributions.

Regards,

Ed Juskevicius

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of John
C Klensin
Sent: February 20, 2009 4:07 PM
To: Ray Pelletier
Cc: Trustees; [email-masked]; [email-masked]; [email-masked]; [email-masked];
[email-masked]
Subject: IASA irresponsibility? (was: Re: [IAB] [Trustees] LastCall for
Comments: Proposed work-around to the Pre-5378 Problem)

Ray,

The expectation in that January discussion was that the Trustees
and IAOC were going to be proactive about this and take
responsibility to make sure things got done.   I don't consider
your "notifying the volunteers" and asking for a schedule to be
consistent with that.   They are, after all, volunteers.  

Indeed, if the IASA were taking this seriously, I would have
expected that you would approach the various maintenance groups
and said "look, we know that text is going to need to go in, and
go into this place, we just aren't sure about the text yet,
obtained the source code and patching instructions, and then
arranged for either the Secretariat or someone on a short-term
contract to be on standby to get those changes made.

Perhaps I'm the only one in the community who feels that way,
but I'd be a little surprised.

As far as the "where does it go" question, the answer may be
clear to you, but it apparently was not clear to the Trustee
Chair (and poster of the announcement) who, according to
comments on the XML2RFC list, apparently indicated that it would
be ok to put it at the end.  

I hope that there is real testing going on to verify that the
none of the relevant servers and connections will fail when the
load hits.  That is "real testing", and additional
configurations if needed, not your sending out a note indicating
that people should be aware of the risk.

Please recall that the supposed purpose of the IASA and its
current organizational model was to protect the IAB, IESG, and
the community from having to deal with these sorts of
administrative problems, and even more to protect against
depending on mad scrambles by volunteers to get things done in
order to prevent administrative  meltdowns.   If this is an
example, I don't think that is working out very well but, again,
maybe I'm the only member of the community who feels that way.

     john

--On Friday, February 20, 2009 15:46 -0500 Ray Pelletier
<[email-masked]> wrote:

>... 
>> So the announcement was made and, despite those commitments,
>> the ducks obviously were not lined up, the tools were not
>> ready, and we still can't, in practice, post drafts that need
>> the workaround text.
> 
> So, the Trustees went through a process of community review of
> the changes to the TLP
> posted on 6 January that resulted in some good suggestions
> that led to iterations and
> posting of changes on 22 Jan, 5 Feb, 9 Feb and finally 12 Feb.
> They even caught where
> On 11 Feb I notified the 5 volunteers maintaining the tools
> and templates that the Trustees
> were voting on what I expected to be the last set of changes;
> advised them of the changes and asked if they
> could have the changes completed in a few days, e.g, 14 Feb.
> I asked for estimated delivery dates.
> Not all were able to get the changes made.  And as I said
> above I am uncertain as to the
>> from Counsel as to whether it can be dropped into a random
>> place in the document or needs to be next to the front-matter
>> copyright statements.
> 
> Section 6b of the Policy says: The following text must be
> included on the first page of each IETF Document,
>> associated commitments, but to a note posted last Friday...
>> one that it took you a week to get around to responding to
>> when the commitments indicated that we've have answers
>> contemporary with the announcement of the new text.
> 
> It has taken from last Friday to the other day to ascertain
> where the volunteers
>> For all of the reasons cited in the January discussion, this
>> has gone far enough.  Independent of promises about what
>> might get done next week, I want to know --and I think the
>> community is entitled to know -- who is accountable.
>> 
>> 
>>     john
>> 
>> 
>> 
>> 
>> 
>> 
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Ray Pelletier <[email-masked]>
Date: Sun, 22 Feb 2009 15:36:55 -0500

On Feb 22, 2009, at 7:30 AM, Julian Reschke wrote:

> Ray Pelletier wrote:
>> Not all were able to get the changes made.  And as I said above I  
>> am uncertain as to the
> As one of these volunteers, I'm still waiting for clarifications on:
>
> - where should the escape clause appear in an I-D (in "Status of  
> this Memo", or in "Copyright Notice")?
Copyright Notice

>
>
> - where should the escape clause appear in an RFC (in the "Copyright  
> Notice" on the front page, or somewhere else?)?

Copyright Notice on the front page
>
>
> - should authors be able to specify what variant of 6b ("and" vs  
> "or") they want or should we just silently change it?

Do you mean in 6.c.i where it has the 'and' changed to 'or'?
If so, yes just silently change it.

Please advise if there are other questions.

Ray

>
>
> None of these are show stoppers, but I'd really appreciate not to  
> have to figure that out myself.
>
> BR, Julian

---

From: Brian Haberman <[email-masked]>
Date: Mon, 23 Feb 2009 13:06:15 -0500

Ray,
      Due to the lack of available tools, will the I-D deadlines for SFO 
be changed?  I have several editors who are unable to submit -00 
versions due to this tool change.

Regards,
Brian

Ray Pelletier wrote:
>> When will http://xml.resource.org/ and xml2rfc be updated to include this?
> 
>> ------------------------------------------------------------------------
>> *From:* [email-masked] [mailto:[email-masked]] *On 
>> Behalf Of *Ed Juskevicius
>> *Sent:* Thursday, February 12, 2009 7:53 PM
>> *To:* [email-masked] <mailto:[email-masked]>; [email-masked] 
>> <mailto:[email-masked]>; [email-masked] 
>> <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>; 
>> [email-masked] <mailto:[email-masked]>; [email-masked] 
>> <mailto:[email-masked]>
>> *Cc:* Trustees; Contreras,Jorge
>> *Subject:* Re: Last Call for Comments: Proposed work-around to the 
>> Pre-5378 Problem
>>
>> Documents" policy.  The revision includes optional new legend text in 
>> Section 6.c.iii of the policy to serve as a work-around for people 
>> experiencing the "pre-5378 problem."
>>  
>> also note that the Effective Date of this revised policy has been set 
>> to 2009-02-15.  The old policy (effective from November 10, 
>> [email-masked] <mailto:[email-masked]>
>> [email-masked] <mailto:[email-masked]>

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 23 Feb 2009 15:21:14 -0700

On Feb 23, 2009, at 11:06 AM, Brian Haberman wrote:

> Ray,
>     Due to the lack of available tools, will the I-D deadlines for  
> SFO be changed?

The IESG will be discussing changing the deadline on the next call  
this Thursday. I think there are tools available today that work -  
they are not ideal, but they work.

>  I have several editors who are unable to submit -00 versions due to  
> this tool change.
>
> Regards,
> Brian

---

From: Bob Hinden <[email-masked]>
Date: Tue, 24 Feb 2009 07:15:41 -0800

Bill,

> I believe this change from historic practice (moving ipr-related
> statements from "Status of this Memo" to "Copyright Notice") will
> require a new spin of the xml2rfc changes that I completed over the
> weekend.  Is this really a good change to make right now?

No, I think we should move forward with the current tool.  The  
deadline for publication for the San Francisco IETF is coming up soon  
and it's more important to get new Internet Drafts published than  
making the boiler plate formatting perfect.

Many thanks to you and others for doing the xml2rfc tool updated.

Bob

---

From: Bill Fenner <[email-masked]>
Date: Mon, 23 Feb 2009 12:18:40 -0800

> Please advise if there are other questions.

Section 6 requires that the text be included on the first page.  With
the 6.c.iii workaround, and the heretofore-standard page lengths, and
the 1id-guidelines-required text, several lines spill onto the second
page.

Ah, simplification, isn't it grand?

  Bill

---

From: Bill Fenner <[email-masked]>
Date: Mon, 23 Feb 2009 11:16:04 -0800

Bill

---

From: John C Klensin <[email-masked]>
Date: Mon, 23 Feb 2009 14:40:41 -0500

Ray and Trustees,

Please note that this is exactly the sort of issue that I
believed we had a commitment to have sorted out and in the hands
of the tool maintainers by the 15th (or earlier).  It doesn't
depend on the specific text to by used, so could, and IMO
should, have been worked through in parallel with, or in advance
of, any considerations of text.

While getting things working is more important in the short term
than understanding what happened here, I believe that the fact
that fairly explicit commitments were made and then the ball was
dropped is something that should be visible to the community and
that calls for a review of the IASA's way of doing business.

    john

--On Monday, February 23, 2009 11:16 -0800 Bill Fenner
<[email-masked]> wrote:

>>> - where should the escape clause appear in an I-D (in
>>> "Status of this Memo", or in "Copyright Notice")?
>> Copyright Notice
> 
> I believe this change from historic practice (moving
> ipr-related statements from "Status of this Memo" to
> "Copyright Notice") will require a new spin of the xml2rfc
> changes that I completed over the weekend.  Is this really a
> good change to make right now?
> 
>   Bill